> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variable writes for a run

` GET /v1/runs/{runId}/variable-writes `

Variable writes for a run

## Parameters

### ` runId ` (path, required)

Run ID

- ` value `: type ` string `

### ` limit ` (query, optional)

Max rows per page

- ` value `: type ` integer `

### ` offset ` (query, optional)

Offset for pagination (default 0)

- ` value `: type ` integer `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` hasMore `: type ` boolean `

    - ` items `: type ` array `

      - ` array item `: type ` object `

        - ` id `: type ` integer `

        - ` name `: type ` string `

        - ` newValue `: type ` unknown `

        - ` oldValue `: type ` unknown `

        - ` op `: type ` string `

          - enum: ` ["set","manual_set","manual_reset"] `

        - ` runId `: type ` string `

        - ` scope `: type ` string `

          - enum: ` ["workflow","run"] `

        - ` workflowId `: type ` string `

        - ` writtenAt `: type ` string `

        - ` writtenByNode `: type ` string `

    - ` limit `: type ` integer `

    - ` offset `: type ` integer `

  - ` message `: type ` string `

    - example: ` "success" `

  - ` requestId `: type ` string `

    - example: ` "abc-123" `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/runs/string/variable-writes' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/runs/string/variable-writes', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/runs/string/variable-writes', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/runs/string/variable-writes", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```